StaxSource (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.staxutils, class: StaxSource

Package org.apache.cxf.staxutils

# Class StaxSource

java.lang.Object
javax.xml.transform.sax.SAXSource
org.apache.cxf.staxutils.StaxSource

All Implemented Interfaces:
  `Source`, `XMLReader`

public class StaxSource extends SAXSource implements XMLReader

- ## Field Summary

  ### Fields inherited from class javax.xml.transform.sax.SAXSource

  `FEATURE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StaxSource(XMLStreamReader streamReader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Attributes`
  `getAttributes()`
  `ContentHandler`
  `getContentHandler()`
  `DTDHandler`
  `getDTDHandler()`
  `EntityResolver`
  `getEntityResolver()`
  `ErrorHandler`
  `getErrorHandler()`
  `boolean`
  `getFeature(String name)`
  `Object`
  `getProperty(String name)`
  `protected String`
  `getQualifiedName()`
  `XMLReader`
  `getXMLReader()`
  `XMLStreamReader`
  `getXMLStreamReader()`
  `protected void`
  `parse()`
  `void`
  `parse(String systemId)`
  `void`
  `parse(InputSource input)`
  `void`
  `setContentHandler(ContentHandler handler)`
  `void`
  `setDTDHandler(DTDHandler handler)`
  `void`
  `setEntityResolver(EntityResolver resolver)`
  `void`
  `setErrorHandler(ErrorHandler handler)`
  `void`
  `setFeature(String name, boolean value)`
  `void`
  `setProperty(String name, Object value)`

  ### Methods inherited from class javax.xml.transform.sax.SAXSource

  `getInputSource, getSystemId, isEmpty, setInputSource, setSystemId, setXMLReader, sourceToInputSource`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaxSource

    public StaxSource(XMLStreamReader streamReader)

- ## Method Details

  - ### getXMLReader

    public XMLReader getXMLReader()
    Overrides:
      `getXMLReader` in class `SAXSource`

  - ### getXMLStreamReader

    public XMLStreamReader getXMLStreamReader()

  - ### parse

    protected void parse() throws SAXException
    Throws:
      `SAXException`

  - ### getQualifiedName

    protected String getQualifiedName()

  - ### getAttributes

    protected Attributes getAttributes()

  - ### getFeature

    public boolean getFeature(String name) throws SAXNotRecognizedException, SAXNotSupportedException
    Specified by:
      `getFeature` in interface `XMLReader`
    Throws:
      `SAXNotRecognizedException`
      `SAXNotSupportedException`

  - ### setFeature

    public void setFeature(String name, boolean value) throws SAXNotRecognizedException, SAXNotSupportedException
    Specified by:
      `setFeature` in interface `XMLReader`
    Throws:
      `SAXNotRecognizedException`
      `SAXNotSupportedException`

  - ### getProperty

    public Object getProperty(String name) throws SAXNotRecognizedException, SAXNotSupportedException
    Specified by:
      `getProperty` in interface `XMLReader`
    Throws:
      `SAXNotRecognizedException`
      `SAXNotSupportedException`

  - ### setProperty

    public void setProperty(String name, Object value) throws SAXNotRecognizedException, SAXNotSupportedException
    Specified by:
      `setProperty` in interface `XMLReader`
    Throws:
      `SAXNotRecognizedException`
      `SAXNotSupportedException`

  - ### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)
    Specified by:
      `setEntityResolver` in interface `XMLReader`

  - ### getEntityResolver

    public EntityResolver getEntityResolver()
    Specified by:
      `getEntityResolver` in interface `XMLReader`

  - ### setDTDHandler

    public void setDTDHandler(DTDHandler handler)
    Specified by:
      `setDTDHandler` in interface `XMLReader`

  - ### getDTDHandler

    public DTDHandler getDTDHandler()
    Specified by:
      `getDTDHandler` in interface `XMLReader`

  - ### setContentHandler

    public void setContentHandler(ContentHandler handler)
    Specified by:
      `setContentHandler` in interface `XMLReader`

  - ### getContentHandler

    public ContentHandler getContentHandler()
    Specified by:
      `getContentHandler` in interface `XMLReader`

  - ### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)
    Specified by:
      `setErrorHandler` in interface `XMLReader`

  - ### getErrorHandler

    public ErrorHandler getErrorHandler()
    Specified by:
      `getErrorHandler` in interface `XMLReader`

  - ### parse

    public void parse(InputSource input) throws SAXException
    Specified by:
      `parse` in interface `XMLReader`
    Throws:
      `SAXException`

  - ### parse

    public void parse(String systemId) throws SAXException
    Specified by:
      `parse` in interface `XMLReader`
    Throws:
      `SAXException`